org.eclipse.swt.accessibility

## Class AccessibleTextAttributeEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.accessibility.AccessibleTextAttributeEvent

    public class AccessibleTextAttributeEvent
    extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleAttribute or AccessibleEditableText messages to an accessible object.

Since:
  1.4
See Also:
  `AccessibleAttributeListener`, `AccessibleAttributeAdapter`, `AccessibleEditableTextListener`, `AccessibleEditableTextAdapter`

### Field Summary

Fields
`java.lang.String[]` `attributes` [in/out] an array of alternating key and value Strings that represent attributes that do not correspond to TextStyle fields
`int` `end` [in/out] the starting and ending offsets of the character range
`int` `offset` [in] the 0-based text offset for which to return attribute information
`java.lang.String` `result` [out] Set this field to `ACC.OK` if the operation was completed successfully, and null otherwise.
`int` `start` [in/out] the starting and ending offsets of the character range

### Constructor Summary

Constructors
Constructor and Description
`AccessibleTextAttributeEvent(java.lang.Object source)` Constructs a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### offset

    public int offset

[in] the 0-based text offset for which to return attribute information

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### start

    public int start

[in/out] the starting and ending offsets of the character range

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`, `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### end

    public int end

[in/out] the starting and ending offsets of the character range

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`, `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### attributes

    public java.lang.String[] attributes

[in/out] an array of alternating key and value Strings that represent attributes that do not correspond to TextStyle fields

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`, `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### result

    public java.lang.String result

[out] Set this field to `ACC.OK` if the operation was completed successfully, and null otherwise.

See Also:
  `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

### Constructor Detail

#### AccessibleTextAttributeEvent

    public AccessibleTextAttributeEvent(java.lang.Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0